Jak rozwiązać problem kompatybilności rozszerzeń z Firefoksem?

Strona głównaJak rozwiązać problem kompatybilności rozszerzeń z Firefoksem?
15.04.2010 16:00
Jak rozwiązać problem kompatybilności rozszerzeń z Firefoksem?
Paweł Cebula
Paweł Cebula

Firefox cieszy się bardzo dużym zainteresowaniem z wielu powodów. Jednym z nich jest obsługa dodatków i rozszerzeń, które pozwalają na dostosowanie przeglądarki do naszych potrzeb. Na pewno zdarzyło Ci się, że na stronie addons.mozilla.org trafiłeś na dodatek, który nie był kompatybilny z Twoją wersją przeglądarki Firefox. Jak rozwiązać ten problem?

Firefox cieszy się bardzo dużym zainteresowaniem z wielu powodów. Jednym z nich jest obsługa dodatków i rozszerzeń, które pozwalają na dostosowanie przeglądarki do naszych potrzeb. Na pewno zdarzyło Ci się, że na stronie addons.mozilla.org trafiłeś na dodatek, który nie był kompatybilny z Twoją wersją przeglądarki Firefox. Jak rozwiązać ten problem?

Praktycznie wszystkie elementy, jakie znajdują się w bazie addons.mozilla.org są tworzone przez użytkowników. Część z nich jest intensywnie rozwijana, dzięki czemu nie ma problemów z zachowaniem kompatybilności z regularnie wydawanymi nowymi wersjami przeglądarki Firefox.

Jest jednak część bardzo funkcjonalnych rozszerzeń, których rozwój został zatrzymany. Naturalną konsekwencją tego jest problem z kompatybilnością. Możliwość instalacji takich dodatków jest automatycznie blokowana - ma to pomóc w uniknięciu sytuacji, w której przestarzały dodatek zmniejsza stabilność działania samej przeglądarki.

Taki stan rzeczy nie oznacza, że musimy rezygnować z bardzo funkcjonalnego rozszerzenia. Istnieje kilka sposób na ominięcie ewentualnych problemów z niekompatybilnością.

  • Edycja about:configOtwórz przeglądarkę Firefox i wpisz do paska adresu about:config, a następnie kliknij w dowolnym miejscu PPM.photo position=\inside\85823/photo
  • Z listy wybierz \Dodaj ustawienia typu?* - wartość logiczna (boolean). Jako nazwę podaj *extensions.checkCompatibility\ i ustaw wartość tego klucza jako fałszywą.photo position=\inside\85824/photoPonownie dodaj nowy klucz z wartością logiczną, z tym, że jako nazwę podaj *extensions.checkUpdateSecurity*\ i również ustaw wartość jako fałszywą.
  • Aby ustawienia zostały zapisane musisz ponownie uruchomić przeglądarkę. Przy następnej próbie instalacji niekompatybilnego dodatku nie będzie już sprawdzana zgodność, dzięki czemu wszystko powinno działać.
  • Instalacja Compatibility Reporterphoto position=\inside\85825/photoAlternatywną możliwością jest instalacja rozszerzenia Compatibility Reporter(https://addons.mozilla.org/pl/firefox/addon/15003). Dzięki niemu w bardzo prosty sposób sprawisz, że nawet stary dodatek będzie zgodny z najnowszymi testowymi wydaniami przeglądarki Firefox. Teoretycznie Compatibility Reporter został stworzony z myślą o programistach, których mogą testować swoje dodatki z przeglądarką w wersji beta, czy nawet alpha.
Oceń jakość naszego artykułuTwoja opinia pozwala nam tworzyć lepsze treści.
Udostępnij:
Wybrane dla Ciebie
Komentarze (0)